# coding=utf-8
"""hagrid URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.conf.urls import url, include
from django.conf.urls.static import static
from django.conf import settings

from apps.dashboard.views import index

urlpatterns = [
    url(r'^$', index),
    url(r'^account/', include('apps.account.urls')),
    url(r'^foundation/', include('apps.foundation.urls')),
    url(r'^usedvehicle/', include('apps.usedvehicle.urls')),
    # url(r'^tenant/', include('apps.tenant.urls')),
    # url(r'^customer/', include('apps.customer.urls')),
    # url(r'^api/', include('apps.api.urls')),
]

urlpatterns += static(settings.UIS_URL, document_root=settings.UIS_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
